#ifndef SOLAR_PANEL_HPP_
#define SOLAR_PANEL_HPP_

#include <Block/SpriteBlock/SpriteBlock.hpp>
#include <Block/MachineBlockMixin.hpp>
#include <Machine/MSolarPanel/MSolarPanel.hpp>

class SolarPanel : public SpriteBlock, public MachineBlockMixin<MSolarPanel>
{
public:
    SolarPanel(std::string name);

    virtual bool canManuallyDig() override;
};

#endif